Home Support Forum WCMp Core error in your SQL syntax

  • Author
    Posts
  • TSIL
    Participant
    Post count: 68
    #2505 |

    Hi Folks.

    I’m getting thousands of these errors in my log.

    [18-Mar-2016 08:38:10 UTC] WordPress database error You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ‘)’ at line 1 for query SELECT SUM(meta_value) as rating_val FROM wp1s_commentmeta where meta_key = ‘vendor_rating’ and comment_id IN () made by require(‘wp-blog-header.php’), require_once(‘wp-includes/template-loader.php’), include(‘/themes/flatsome/woocommerce/single-product.php’), woocommerce_get_template_part, wc_get_template_part, load_template, require(‘/themes/flatsome/woocommerce/content-single-product-rightcol-fullheight.php’), woocommerce_get_template, wc_get_template, include(‘/themes/flatsome/woocommerce/single-product/tabs/tabs.php’), call_user_func, WCMp_Product->woocommerce_product_vendor_tab, WCMp_Template->get_template, include(‘/plugins/dc-woocommerce-multi-vendor/templates/vendor_tab.php’), wcmp_get_vendor_review_info

    Can you shine any light on this for me?

    Regards
    Glynn.

  • WCMp Support
    Keymaster
    Post count: 1200

    Hi Glynn,

    The log detail you have shared is from 18-Mar-2016. I would suggest to check the log of present date and time. This you will find at the bottom of the log. Please check it once and let me know if the error is still there.

    Regards,
    Rimpa

  • TSIL
    Participant
    Post count: 68

    Hi Rimpa

    [14-Apr-2016 15:48:29 UTC] WordPress database error You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ‘)’ at line 1 for query SELECT SUM(meta_value) as rating_val FROM wp1s_commentmeta where meta_key = ‘vendor_rating’ and comment_id IN () made by require(‘wp-blog-header.php’), require_once(‘wp-includes/template-loader.php’), include(‘/themes/flatsome/woocommerce/single-product.php’), woocommerce_get_template_part, wc_get_template_part, load_template, require(‘/themes/flatsome/woocommerce/content-single-product-rightcol-fullheight.php’), woocommerce_get_template, wc_get_template, include(‘/themes/flatsome/woocommerce/single-product/tabs/tabs.php’), call_user_func, WCMp_Product->woocommerce_product_vendor_tab, WCMp_Template->get_template, include(‘/plugins/dc-woocommerce-multi-vendor/templates/vendor_tab.php’), wcmp_get_vendor_review_info.

    Looks like it.

    Regards
    Glynn.

  • WCMp Support
    Keymaster
    Post count: 1200

    Hi Glynn,

    Could you please help me with the wp-admin access? I tried to use the previous credentials but they are not working anymore as we have to look into this.

    Thanks,
    Rimpa

  • TSIL
    Participant
    Post count: 68
    This reply has been marked as private.
  • WCMp Support
    Keymaster
    Post count: 1200

    Thanks for the access Glynn. Will get back to you soon with the solutions of your queries.

    Regards,
    Rimpa

  • TSIL
    Participant
    Post count: 68

    Hi Rimpa

    Thanks for that.

    There seems to be a lot of errors showing up after the update of wordpress 4.5.
    PHP Warning: mysql_connect(): Headers and client library minor version mismatch.

    After a search of the wordpress forums and an email to my hosting guy I come up with this.

    I’m running PHP 5.6 on the server and PHP 5.4 on the site.
    So I was going reduce the server to 5.4.
    Will this have any affect on what you’re doing?

    Regards
    Glynn.

  • WCMp Support
    Keymaster
    Post count: 1200

    Hi Glynn,

    Thanks for holding patience. Here are the solutions to your queries:

    1. [14-Apr-2016 15:48:29 UTC] WordPress database error You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ‘)’ at line 1 for query SELECT SUM(meta_value) as rating_val FROM wp1s_commentmeta where meta_key = ‘vendor_rating’ and comment_id IN () made by require(‘wp-blog-header.php’), require_once(‘wp-includes/template-loader.php’), include(‘/themes/flatsome/woocommerce/single-product.php’), woocommerce_get_template_part, wc_get_template_part, load_template, require(‘/themes/flatsome/woocommerce/content-single-product-rightcol-fullheight.php’), woocommerce_get_template, wc_get_template, include(‘/themes/flatsome/woocommerce/single-product/tabs/tabs.php’), call_user_func, WCMp_Product->woocommerce_product_vendor_tab, WCMp_Template->get_template, include(‘/plugins/dc-woocommerce-multi-vendor/templates/vendor_tab.php’), wcmp_get_vendor_review_info.
    >> we have updated a function on your site i.e, wcmp_get_vendor_review_info. Please check it once and let us know the feedback for the same. If the issue persists then please share your server’s error log path with us.

    2. PHP Warning: mysql_connect(): Headers and client library minor version mismatch part.

    >> The issue you have mentioned that can happen with any application linked to libmysqlclient library in a certain version while trying to connect to MySQL server of some other version. As this is just a warning, it won’t cause any problem but still if you want to get rid of this then please install php5-mysqlnd on your server instead of php5-mysql.

    Regards,
    Rimpa

  • TSIL
    Participant
    Post count: 68

    Hi Rimpa.

    Thanks and I’ll let you know.

    Regards
    Glynn.

  • WCMp Support
    Keymaster
    Post count: 1200

    Sure, Glynn.

    Regards,
    Rimpa

Please LOGIN to reply to this topic